require 'fast_gettext'

# include this module to translate in all domains by default
module Foreman
  module Gettext
    module AllDomains
      def _(key, &block)
        if block_given?
          yield
        else
          FastGettext::TranslationMultidomain.D_(key) do
            FastGettext::Translation.instance_method(:_).bind_call(FastGettext::Translation, key, &block)
          end
        end
      end

      def n_(*keys, &block)
        if block_given?
          yield
        else
          FastGettext::TranslationMultidomain.Dn_(*keys) do
            FastGettext::Translation.instance_method(:n_).bind_call(FastGettext::Translation, *keys, &block)
          end
        end
      end

      def s_(key, separator = nil, &block)
        if block_given?
          yield
        else
          FastGettext::TranslationMultidomain.Ds_(key, separator) do
            FastGettext::Translation.instance_method(:s_).bind_call(FastGettext::Translation, key, separator, &block)
          end
        end
      end

      def ns_(*keys, &block)
        if block_given?
          yield
        else
          FastGettext::TranslationMultidomain.Dns_(*keys) do
            FastGettext::Translation.instance_method(:ns_).bind_call(FastGettext::Translation, *keys, &block)
          end
        end
      end
    end
  end
end
