namespace :alt do
  task :pre do
    Dir["public/{webpack,assets}"].each do |dir|
      FileUtils.rm_rf(dir)
    end
    @begun_at = Time.now
    puts @begun_at.to_i
  end

  desc <<~EOF
    Compile webpack and assets bundles for ALT Linux Team package
  EOF
  task :build, %i(path) => %i(alt:pre webpack:compile assets:precompile) do |t, args|
    list = Dir["public/{webpack,assets}/**/*"].select do |file|
      # maybe use ::mtime
      File.file?(file) && File.birthtime(file) >= @begun_at
    end

    if args[:path]
      list.each do |file|
        dir = File.join(args[:path], File.dirname(file))
        filebase = File.basename(file)
        FileUtils.mkdir_p(dir)

        if /^(?<name>.*)-(\w{64})\.(?<ext>.*)$/ =~ filebase
          puts "#{file} -> #{dir}/#{filebase}"
          FileUtils.cp(file, dir)
          puts "#{filebase} => #{dir}/#{name}.#{ext}"
          FileUtils.ln_s(filebase, "#{dir}/#{name}.#{ext}")
        else
          puts "#{file} -> #{dir}/#{filebase}"
          FileUtils.cp(file, dir)
        end
      end

      %w(images javascripts stylesheets).each do |folder|
        puts "#{"assets"} => #{File.join(args[:path], "public", folder)}"
        FileUtils.ln_s("assets", File.join(args[:path], "public", folder))
      end
    else
      puts list
    end
  end
end
